#version 330 core
#extension GL_ARB_explicit_uniform_location : enable
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 color;

out vec3 fragcolor;

layout(location = 0) uniform mat4 model;
layout(location = 1) uniform mat4 view_proj;

void main()
{
	gl_Position = view_proj * vec4(position, 1);
	fragcolor = color
}