#version 330 core
#extension GL_ARB_separate_shader_objects : enable

uniform sampler2D uiTexture; 

smooth in vec2 texCoord; 
flat in vec4 colorPart; 

out vec4 FragColor; 

void main() 
{ 
  vec4 vTexColor = texture(uiTexture, texCoord); 
  FragColor = vec4(vTexColor.xyz, 1.0)*colorPart; 
 // FragColor = vec4(0.5, 0.5, 0.5, 1.0)*colorPart; 
}