#version 330 core
#extension GL_ARB_explicit_uniform_location : enable
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vertPosition;
layout(location = 1) in vec2 vertTexUV;

out vec2 fragUV;

layout(location = 0) uniform mat4 model;
layout(location = 1) uniform mat4 view_proj;

void main()
{
	fragUV = vertTexUV;
	gl_Position = view_proj * model * vec4(vertPosition, 1);
}